com.amazonaws.services.codecommit

## Interface AWSCodeCommitAsync

All Superinterfaces:
  AWSCodeCommit

All Known Implementing Classes:
  AbstractAWSCodeCommitAsync, AWSCodeCommitAsyncClient

    public interface AWSCodeCommitAsync
    extends AWSCodeCommit

Interface for accessing CodeCommit asynchronously. Each asynchronous method will return a Java Future object representing the asynchronous operation; overloads which accept an `AsyncHandler` can be used to receive notification when an asynchronous operation completes.

Note: Do not directly implement this interface, new methods are added to it regularly. Extend from `AbstractAWSCodeCommitAsync` instead.

<fullname>AWS CodeCommit</fullname>

This is the AWS CodeCommit API Reference. This reference provides descriptions of the operations and data types for AWS CodeCommit API.

You can use the AWS CodeCommit API to work with the following objects:

- Repositories, by calling the following:
  - BatchGetRepositories, which returns information about one or more repositories associated with your AWS account
  - CreateRepository, which creates an AWS CodeCommit repository
  - DeleteRepository, which deletes an AWS CodeCommit repository
  - GetRepository, which returns information about a specified repository
  - ListRepositories, which lists all AWS CodeCommit repositories associated with your AWS account
  - UpdateRepositoryDescription, which sets or updates the description of the repository
  - UpdateRepositoryName, which changes the name of the repository. If you change the name of a repository, no other users of that repository will be able to access it until you send them the new HTTPS or SSH URL to use.
- Branches, by calling the following:
  - CreateBranch, which creates a new branch in a specified repository
  - GetBranch, which returns information about a specified branch
  - ListBranches, which lists all branches for a specified repository
  - UpdateDefaultBranch, which changes the default branch for a repository
- Information about committed code in a repository, by calling the following:
  - GetCommit, which returns information about a commit, including commit messages and committer information.
- Triggers, by calling the following:
  - GetRepositoryTriggers, which returns information about triggers configured for a repository
  - PutRepositoryTriggers, which replaces all triggers for a repository and can be used to create or delete triggers
  - TestRepositoryTriggers, which tests the functionality of a repository trigger by sending data to the trigger target

For information about how to use AWS CodeCommit, see the AWS CodeCommit User Guide.

### Field Summary

### Fields inherited from interface com.amazonaws.services.codecommit.AWSCodeCommit

`ENDPOINT_PREFIX`

### Method Summary

All Methods Instance Methods Abstract Methods
`Future<BatchGetRepositoriesResult>` `batchGetRepositoriesAsync(BatchGetRepositoriesRequest batchGetRepositoriesRequest)` Returns information about one or more repositories.
`Future<BatchGetRepositoriesResult>` `batchGetRepositoriesAsync(BatchGetRepositoriesRequest batchGetRepositoriesRequest, AsyncHandler<BatchGetRepositoriesRequest,BatchGetRepositoriesResult> asyncHandler)` Returns information about one or more repositories.
`Future<CreateBranchResult>` `createBranchAsync(CreateBranchRequest createBranchRequest)` Creates a new branch in a repository and points the branch to a commit.
`Future<CreateBranchResult>` `createBranchAsync(CreateBranchRequest createBranchRequest, AsyncHandler<CreateBranchRequest,CreateBranchResult> asyncHandler)` Creates a new branch in a repository and points the branch to a commit.
`Future<CreateRepositoryResult>` `createRepositoryAsync(CreateRepositoryRequest createRepositoryRequest)` Creates a new, empty repository.
`Future<CreateRepositoryResult>` `createRepositoryAsync(CreateRepositoryRequest createRepositoryRequest, AsyncHandler<CreateRepositoryRequest,CreateRepositoryResult> asyncHandler)` Creates a new, empty repository.
`Future<DeleteRepositoryResult>` `deleteRepositoryAsync(DeleteRepositoryRequest deleteRepositoryRequest)` Deletes a repository.
`Future<DeleteRepositoryResult>` `deleteRepositoryAsync(DeleteRepositoryRequest deleteRepositoryRequest, AsyncHandler<DeleteRepositoryRequest,DeleteRepositoryResult> asyncHandler)` Deletes a repository.
`Future<GetBranchResult>` `getBranchAsync(GetBranchRequest getBranchRequest)` Returns information about a repository branch, including its name and the last commit ID.
`Future<GetBranchResult>` `getBranchAsync(GetBranchRequest getBranchRequest, AsyncHandler<GetBranchRequest,GetBranchResult> asyncHandler)` Returns information about a repository branch, including its name and the last commit ID.
`Future<GetCommitResult>` `getCommitAsync(GetCommitRequest getCommitRequest)` Returns information about a commit, including commit message and committer information.
`Future<GetCommitResult>` `getCommitAsync(GetCommitRequest getCommitRequest, AsyncHandler<GetCommitRequest,GetCommitResult> asyncHandler)` Returns information about a commit, including commit message and committer information.
`Future<GetRepositoryResult>` `getRepositoryAsync(GetRepositoryRequest getRepositoryRequest)` Returns information about a repository.
`Future<GetRepositoryResult>` `getRepositoryAsync(GetRepositoryRequest getRepositoryRequest, AsyncHandler<GetRepositoryRequest,GetRepositoryResult> asyncHandler)` Returns information about a repository.
`Future<GetRepositoryTriggersResult>` `getRepositoryTriggersAsync(GetRepositoryTriggersRequest getRepositoryTriggersRequest)` Gets information about triggers configured for a repository.
`Future<GetRepositoryTriggersResult>` `getRepositoryTriggersAsync(GetRepositoryTriggersRequest getRepositoryTriggersRequest, AsyncHandler<GetRepositoryTriggersRequest,GetRepositoryTriggersResult> asyncHandler)` Gets information about triggers configured for a repository.
`Future<ListBranchesResult>` `listBranchesAsync(ListBranchesRequest listBranchesRequest)` Gets information about one or more branches in a repository.
`Future<ListBranchesResult>` `listBranchesAsync(ListBranchesRequest listBranchesRequest, AsyncHandler<ListBranchesRequest,ListBranchesResult> asyncHandler)` Gets information about one or more branches in a repository.
`Future<ListRepositoriesResult>` `listRepositoriesAsync(ListRepositoriesRequest listRepositoriesRequest)` Gets information about one or more repositories.
`Future<ListRepositoriesResult>` `listRepositoriesAsync(ListRepositoriesRequest listRepositoriesRequest, AsyncHandler<ListRepositoriesRequest,ListRepositoriesResult> asyncHandler)` Gets information about one or more repositories.
`Future<PutRepositoryTriggersResult>` `putRepositoryTriggersAsync(PutRepositoryTriggersRequest putRepositoryTriggersRequest)` Replaces all triggers for a repository.
`Future<PutRepositoryTriggersResult>` `putRepositoryTriggersAsync(PutRepositoryTriggersRequest putRepositoryTriggersRequest, AsyncHandler<PutRepositoryTriggersRequest,PutRepositoryTriggersResult> asyncHandler)` Replaces all triggers for a repository.
`Future<TestRepositoryTriggersResult>` `testRepositoryTriggersAsync(TestRepositoryTriggersRequest testRepositoryTriggersRequest)` Tests the functionality of repository triggers by sending information to the trigger target.
`Future<TestRepositoryTriggersResult>` `testRepositoryTriggersAsync(TestRepositoryTriggersRequest testRepositoryTriggersRequest, AsyncHandler<TestRepositoryTriggersRequest,TestRepositoryTriggersResult> asyncHandler)` Tests the functionality of repository triggers by sending information to the trigger target.
`Future<UpdateDefaultBranchResult>` `updateDefaultBranchAsync(UpdateDefaultBranchRequest updateDefaultBranchRequest)` Sets or changes the default branch name for the specified repository.
`Future<UpdateDefaultBranchResult>` `updateDefaultBranchAsync(UpdateDefaultBranchRequest updateDefaultBranchRequest, AsyncHandler<UpdateDefaultBranchRequest,UpdateDefaultBranchResult> asyncHandler)` Sets or changes the default branch name for the specified repository.
`Future<UpdateRepositoryDescriptionResult>` `updateRepositoryDescriptionAsync(UpdateRepositoryDescriptionRequest updateRepositoryDescriptionRequest)` Sets or changes the comment or description for a repository.
`Future<UpdateRepositoryDescriptionResult>` `updateRepositoryDescriptionAsync(UpdateRepositoryDescriptionRequest updateRepositoryDescriptionRequest, AsyncHandler<UpdateRepositoryDescriptionRequest,UpdateRepositoryDescriptionResult> asyncHandler)` Sets or changes the comment or description for a repository.
`Future<UpdateRepositoryNameResult>` `updateRepositoryNameAsync(UpdateRepositoryNameRequest updateRepositoryNameRequest)` Renames a repository.
`Future<UpdateRepositoryNameResult>` `updateRepositoryNameAsync(UpdateRepositoryNameRequest updateRepositoryNameRequest, AsyncHandler<UpdateRepositoryNameRequest,UpdateRepositoryNameResult> asyncHandler)` Renames a repository.

### Methods inherited from interface com.amazonaws.services.codecommit.AWSCodeCommit

`batchGetRepositories, createBranch, createRepository, deleteRepository, getBranch, getCachedResponseMetadata, getCommit, getRepository, getRepositoryTriggers, listBranches, listRepositories, putRepositoryTriggers, setEndpoint, setRegion, shutdown, testRepositoryTriggers, updateDefaultBranch, updateRepositoryDescription, updateRepositoryName`

### Method Detail

#### batchGetRepositoriesAsync

    Future<BatchGetRepositoriesResult> batchGetRepositoriesAsync(BatchGetRepositoriesRequest batchGetRepositoriesRequest)

Returns information about one or more repositories.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `batchGetRepositoriesRequest` - Represents the input of a batch get repositories operation.
Returns:
  A Java Future containing the result of the BatchGetRepositories operation returned by the service.

#### batchGetRepositoriesAsync

    Future<BatchGetRepositoriesResult> batchGetRepositoriesAsync(BatchGetRepositoriesRequest batchGetRepositoriesRequest,
                                                                 AsyncHandler<BatchGetRepositoriesRequest,BatchGetRepositoriesResult> asyncHandler)

Returns information about one or more repositories.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `batchGetRepositoriesRequest` - Represents the input of a batch get repositories operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetRepositories operation returned by the service.

#### createBranchAsync

    Future<CreateBranchResult> createBranchAsync(CreateBranchRequest createBranchRequest)

Creates a new branch in a repository and points the branch to a commit.

<note>

Calling the create branch operation does not set a repository's default branch. To do this, call the update default branch operation.

</note>

Parameters:
  `createBranchRequest` - Represents the input of a create branch operation.
Returns:
  A Java Future containing the result of the CreateBranch operation returned by the service.

#### createBranchAsync

    Future<CreateBranchResult> createBranchAsync(CreateBranchRequest createBranchRequest,
                                                 AsyncHandler<CreateBranchRequest,CreateBranchResult> asyncHandler)

Creates a new branch in a repository and points the branch to a commit.

<note>

Calling the create branch operation does not set a repository's default branch. To do this, call the update default branch operation.

</note>

Parameters:
  `createBranchRequest` - Represents the input of a create branch operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateBranch operation returned by the service.

#### createRepositoryAsync

    Future<CreateRepositoryResult> createRepositoryAsync(CreateRepositoryRequest createRepositoryRequest)

Creates a new, empty repository.

Parameters:
  `createRepositoryRequest` - Represents the input of a create repository operation.
Returns:
  A Java Future containing the result of the CreateRepository operation returned by the service.

#### createRepositoryAsync

    Future<CreateRepositoryResult> createRepositoryAsync(CreateRepositoryRequest createRepositoryRequest,
                                                         AsyncHandler<CreateRepositoryRequest,CreateRepositoryResult> asyncHandler)

Creates a new, empty repository.

Parameters:
  `createRepositoryRequest` - Represents the input of a create repository operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateRepository operation returned by the service.

#### deleteRepositoryAsync

    Future<DeleteRepositoryResult> deleteRepositoryAsync(DeleteRepositoryRequest deleteRepositoryRequest)

Deletes a repository. If a specified repository was already deleted, a null repository ID will be returned.

<important>Deleting a repository also deletes all associated objects and metadata. After a repository is deleted, all future push calls to the deleted repository will fail.</important>

Parameters:
  `deleteRepositoryRequest` - Represents the input of a delete repository operation.
Returns:
  A Java Future containing the result of the DeleteRepository operation returned by the service.

#### deleteRepositoryAsync

    Future<DeleteRepositoryResult> deleteRepositoryAsync(DeleteRepositoryRequest deleteRepositoryRequest,
                                                         AsyncHandler<DeleteRepositoryRequest,DeleteRepositoryResult> asyncHandler)

Deletes a repository. If a specified repository was already deleted, a null repository ID will be returned.

<important>Deleting a repository also deletes all associated objects and metadata. After a repository is deleted, all future push calls to the deleted repository will fail.</important>

Parameters:
  `deleteRepositoryRequest` - Represents the input of a delete repository operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteRepository operation returned by the service.

#### getBranchAsync

    Future<GetBranchResult> getBranchAsync(GetBranchRequest getBranchRequest)

Returns information about a repository branch, including its name and the last commit ID.

Parameters:
  `getBranchRequest` - Represents the input of a get branch operation.
Returns:
  A Java Future containing the result of the GetBranch operation returned by the service.

#### getBranchAsync

    Future<GetBranchResult> getBranchAsync(GetBranchRequest getBranchRequest,
                                           AsyncHandler<GetBranchRequest,GetBranchResult> asyncHandler)

Returns information about a repository branch, including its name and the last commit ID.

Parameters:
  `getBranchRequest` - Represents the input of a get branch operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetBranch operation returned by the service.

#### getCommitAsync

    Future<GetCommitResult> getCommitAsync(GetCommitRequest getCommitRequest)

Returns information about a commit, including commit message and committer information.

Parameters:
  `getCommitRequest` - Represents the input of a get commit operation.
Returns:
  A Java Future containing the result of the GetCommit operation returned by the service.

#### getCommitAsync

    Future<GetCommitResult> getCommitAsync(GetCommitRequest getCommitRequest,
                                           AsyncHandler<GetCommitRequest,GetCommitResult> asyncHandler)

Returns information about a commit, including commit message and committer information.

Parameters:
  `getCommitRequest` - Represents the input of a get commit operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetCommit operation returned by the service.

#### getRepositoryAsync

    Future<GetRepositoryResult> getRepositoryAsync(GetRepositoryRequest getRepositoryRequest)

Returns information about a repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `getRepositoryRequest` - Represents the input of a get repository operation.
Returns:
  A Java Future containing the result of the GetRepository operation returned by the service.

#### getRepositoryAsync

    Future<GetRepositoryResult> getRepositoryAsync(GetRepositoryRequest getRepositoryRequest,
                                                   AsyncHandler<GetRepositoryRequest,GetRepositoryResult> asyncHandler)

Returns information about a repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `getRepositoryRequest` - Represents the input of a get repository operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetRepository operation returned by the service.

#### getRepositoryTriggersAsync

    Future<GetRepositoryTriggersResult> getRepositoryTriggersAsync(GetRepositoryTriggersRequest getRepositoryTriggersRequest)

Gets information about triggers configured for a repository.

Parameters:
  `getRepositoryTriggersRequest` - Represents the input of a get repository triggers operation.
Returns:
  A Java Future containing the result of the GetRepositoryTriggers operation returned by the service.

#### getRepositoryTriggersAsync

    Future<GetRepositoryTriggersResult> getRepositoryTriggersAsync(GetRepositoryTriggersRequest getRepositoryTriggersRequest,
                                                                   AsyncHandler<GetRepositoryTriggersRequest,GetRepositoryTriggersResult> asyncHandler)

Gets information about triggers configured for a repository.

Parameters:
  `getRepositoryTriggersRequest` - Represents the input of a get repository triggers operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetRepositoryTriggers operation returned by the service.

#### listBranchesAsync

    Future<ListBranchesResult> listBranchesAsync(ListBranchesRequest listBranchesRequest)

Gets information about one or more branches in a repository.

Parameters:
  `listBranchesRequest` - Represents the input of a list branches operation.
Returns:
  A Java Future containing the result of the ListBranches operation returned by the service.

#### listBranchesAsync

    Future<ListBranchesResult> listBranchesAsync(ListBranchesRequest listBranchesRequest,
                                                 AsyncHandler<ListBranchesRequest,ListBranchesResult> asyncHandler)

Gets information about one or more branches in a repository.

Parameters:
  `listBranchesRequest` - Represents the input of a list branches operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListBranches operation returned by the service.

#### listRepositoriesAsync

    Future<ListRepositoriesResult> listRepositoriesAsync(ListRepositoriesRequest listRepositoriesRequest)

Gets information about one or more repositories.

Parameters:
  `listRepositoriesRequest` - Represents the input of a list repositories operation.
Returns:
  A Java Future containing the result of the ListRepositories operation returned by the service.

#### listRepositoriesAsync

    Future<ListRepositoriesResult> listRepositoriesAsync(ListRepositoriesRequest listRepositoriesRequest,
                                                         AsyncHandler<ListRepositoriesRequest,ListRepositoriesResult> asyncHandler)

Gets information about one or more repositories.

Parameters:
  `listRepositoriesRequest` - Represents the input of a list repositories operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListRepositories operation returned by the service.

#### putRepositoryTriggersAsync

    Future<PutRepositoryTriggersResult> putRepositoryTriggersAsync(PutRepositoryTriggersRequest putRepositoryTriggersRequest)

Replaces all triggers for a repository. This can be used to create or delete triggers.

Parameters:
  `putRepositoryTriggersRequest` - Represents the input ofa put repository triggers operation.
Returns:
  A Java Future containing the result of the PutRepositoryTriggers operation returned by the service.

#### putRepositoryTriggersAsync

    Future<PutRepositoryTriggersResult> putRepositoryTriggersAsync(PutRepositoryTriggersRequest putRepositoryTriggersRequest,
                                                                   AsyncHandler<PutRepositoryTriggersRequest,PutRepositoryTriggersResult> asyncHandler)

Replaces all triggers for a repository. This can be used to create or delete triggers.

Parameters:
  `putRepositoryTriggersRequest` - Represents the input ofa put repository triggers operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the PutRepositoryTriggers operation returned by the service.

#### testRepositoryTriggersAsync

    Future<TestRepositoryTriggersResult> testRepositoryTriggersAsync(TestRepositoryTriggersRequest testRepositoryTriggersRequest)

Tests the functionality of repository triggers by sending information to the trigger target. If real data is available in the repository, the test will send data from the last commit. If no data is available, sample data will be generated.

Parameters:
  `testRepositoryTriggersRequest` - Represents the input of a test repository triggers operation.
Returns:
  A Java Future containing the result of the TestRepositoryTriggers operation returned by the service.

#### testRepositoryTriggersAsync

    Future<TestRepositoryTriggersResult> testRepositoryTriggersAsync(TestRepositoryTriggersRequest testRepositoryTriggersRequest,
                                                                     AsyncHandler<TestRepositoryTriggersRequest,TestRepositoryTriggersResult> asyncHandler)

Tests the functionality of repository triggers by sending information to the trigger target. If real data is available in the repository, the test will send data from the last commit. If no data is available, sample data will be generated.

Parameters:
  `testRepositoryTriggersRequest` - Represents the input of a test repository triggers operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the TestRepositoryTriggers operation returned by the service.

#### updateDefaultBranchAsync

    Future<UpdateDefaultBranchResult> updateDefaultBranchAsync(UpdateDefaultBranchRequest updateDefaultBranchRequest)

Sets or changes the default branch name for the specified repository.

<note>

If you use this operation to change the default branch name to the current default branch name, a success message is returned even though the default branch did not change.

</note>

Parameters:
  `updateDefaultBranchRequest` - Represents the input of an update default branch operation.
Returns:
  A Java Future containing the result of the UpdateDefaultBranch operation returned by the service.

#### updateDefaultBranchAsync

    Future<UpdateDefaultBranchResult> updateDefaultBranchAsync(UpdateDefaultBranchRequest updateDefaultBranchRequest,
                                                               AsyncHandler<UpdateDefaultBranchRequest,UpdateDefaultBranchResult> asyncHandler)

Sets or changes the default branch name for the specified repository.

<note>

If you use this operation to change the default branch name to the current default branch name, a success message is returned even though the default branch did not change.

</note>

Parameters:
  `updateDefaultBranchRequest` - Represents the input of an update default branch operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateDefaultBranch operation returned by the service.

#### updateRepositoryDescriptionAsync

    Future<UpdateRepositoryDescriptionResult> updateRepositoryDescriptionAsync(UpdateRepositoryDescriptionRequest updateRepositoryDescriptionRequest)

Sets or changes the comment or description for a repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `updateRepositoryDescriptionRequest` - Represents the input of an update repository description operation.
Returns:
  A Java Future containing the result of the UpdateRepositoryDescription operation returned by the service.

#### updateRepositoryDescriptionAsync

    Future<UpdateRepositoryDescriptionResult> updateRepositoryDescriptionAsync(UpdateRepositoryDescriptionRequest updateRepositoryDescriptionRequest,
                                                                               AsyncHandler<UpdateRepositoryDescriptionRequest,UpdateRepositoryDescriptionResult> asyncHandler)

Sets or changes the comment or description for a repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Parameters:
  `updateRepositoryDescriptionRequest` - Represents the input of an update repository description operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateRepositoryDescription operation returned by the service.

#### updateRepositoryNameAsync

    Future<UpdateRepositoryNameResult> updateRepositoryNameAsync(UpdateRepositoryNameRequest updateRepositoryNameRequest)

Renames a repository. The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. The suffix ".git" is prohibited. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide.

Parameters:
  `updateRepositoryNameRequest` - Represents the input of an update repository description operation.
Returns:
  A Java Future containing the result of the UpdateRepositoryName operation returned by the service.

#### updateRepositoryNameAsync

    Future<UpdateRepositoryNameResult> updateRepositoryNameAsync(UpdateRepositoryNameRequest updateRepositoryNameRequest,
                                                                 AsyncHandler<UpdateRepositoryNameRequest,UpdateRepositoryNameResult> asyncHandler)

Renames a repository. The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. The suffix ".git" is prohibited. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide.

Parameters:
  `updateRepositoryNameRequest` - Represents the input of an update repository description operation.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateRepositoryName operation returned by the service.